### Method

# Gimp RGB_set_pixel

since: 2.10

#### Declaration [src]

    void
    gimp_rgba_set_pixel (
      GimpRGB* rgba,
      const Babl* format,
      gconstpointer pixel
    )

#### Description [src]

Sets the red, green, blue and alpha components of `rgba` from the color stored in `pixel`. The pixel format of `pixel` is determined by `format`.

Available since: 2.10

#### Parameters

`format`

  Type: `Babl`

  A Babl format.

  The data is owned by the caller of the function.

`pixel`

  Type: `gconstpointer`

  Pointer to the source pixel.

  The argument can be `NULL`.
  The data is owned by the caller of the function.